SimpleBindingError (Grails 6.0.0)

Package: org.grails.databinding.errors

## [Java] Class SimpleBindingError

- org.grails.databinding.errors.SimpleBindingError

- All Implemented Interfaces and Traits:
    BindingError

      public class SimpleBindingError
      extends java.lang.Object
      implements BindingError

  Authors:
    Jeff Brown
  Since:
    2.3

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.lang.Throwable` | `cause` |
    `private java.lang.Object` | `object` |
    `private java.lang.String` | `propertyName` |
    `private java.lang.Object` | `rejectedValue` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `SimpleBindingError (java.lang.Object object, java.lang.String propertyName, java.lang.Object rejectedValue, java.lang.Throwable cause)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.lang.Throwable` | `getCause()`
    `` | `public java.lang.Object` | `getObject()`
    `` | `public java.lang.String` | `getPropertyName()`
    `` | `public java.lang.Object` | `getRejectedValue()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private final java.lang.Throwable cause

    - #### private final java.lang.Object object

    - #### private final java.lang.String propertyName

    - #### private final java.lang.Object rejectedValue

  - ### Constructor Detail

    - #### public SimpleBindingError(java.lang.Object object, java.lang.String propertyName, java.lang.Object rejectedValue, java.lang.Throwable cause)

  - ### Method Detail

    - #### public java.lang.Throwable getCause()

    - #### public java.lang.Object getObject()

    - #### public java.lang.String getPropertyName()

    - #### public java.lang.Object getRejectedValue()